import{s as Sl,n as Il,o as kl}from"../chunks/scheduler.85c25b89.js";import{S as El,i as Al,g as a,s as o,r as m,A as Ul,h as n,f as l,c as r,j as _l,u as p,x as s,k as Pl,y as Vl,a as i,v as h,d as f,t as g,w as c}from"../chunks/index.c9837788.js";import{H as d,E as Dl}from"../chunks/EditOnGithub.b65eee75.js";function Gl(Ot){let u,Se,_e,Ie,b,ke,v,Ft="The model architectures included come from a wide variety of sources. Sources, including papers, original impl (“reference code”) that I rewrote / adapted, and PyTorch impl that I leveraged directly (“code”) are listed below.",Ee,w,Yt="Most included models have pretrained weights. The weights are either:",Ae,$,Jt="<li>from their original sources</li> <li>ported by myself from their original impl in a different framework (e.g. Tensorflow models)</li> <li>trained from scratch using the included training script</li>",Ue,y,Qt='The validation results for the pretrained weights are <a href="results">here</a>',Ve,x,Zt='A more exciting view (with pretty pictures) of the models within <code>timm</code> can be found at <a href="https://paperswithcode.com/lib/timm" rel="nofollow">paperswithcode</a>.',De,T,Ge,N,el='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnetv2.py" rel="nofollow">resnetv2.py</a></li> <li>Paper: <code>Big Transfer (BiT): General Visual Representation Learning</code> - <a href="https://arxiv.org/abs/1912.11370" rel="nofollow">https://arxiv.org/abs/1912.11370</a></li> <li>Reference code: <a href="https://github.com/google-research/big_transfer" rel="nofollow">https://github.com/google-research/big_transfer</a></li>',Be,L,ze,C,tl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/cspnet.py" rel="nofollow">cspnet.py</a></li> <li>Paper: <code>CSPNet: A New Backbone that can Enhance Learning Capability of CNN</code> - <a href="https://arxiv.org/abs/1911.11929" rel="nofollow">https://arxiv.org/abs/1911.11929</a></li> <li>Reference impl: <a href="https://github.com/WongKinYiu/CrossStagePartialNetworks" rel="nofollow">https://github.com/WongKinYiu/CrossStagePartialNetworks</a></li>',Xe,M,qe,R,ll='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/densenet.py" rel="nofollow">densenet.py</a></li> <li>Paper: <code>Densely Connected Convolutional Networks</code> - <a href="https://arxiv.org/abs/1608.06993" rel="nofollow">https://arxiv.org/abs/1608.06993</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',We,H,je,_,il='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dla.py" rel="nofollow">dla.py</a></li> <li>Paper: <code>Deep Layer Aggregation</code> - <a href="https://arxiv.org/abs/1707.06484" rel="nofollow">https://arxiv.org/abs/1707.06484</a></li> <li>Code: <a href="https://github.com/ucbdrive/dla" rel="nofollow">https://github.com/ucbdrive/dla</a></li>',Ke,P,Oe,S,ol='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dpn.py" rel="nofollow">dpn.py</a></li> <li>Paper: <code>Dual Path Networks</code> - <a href="https://arxiv.org/abs/1707.01629" rel="nofollow">https://arxiv.org/abs/1707.01629</a></li> <li>My PyTorch code: <a href="https://github.com/rwightman/pytorch-dpn-pretrained" rel="nofollow">https://github.com/rwightman/pytorch-dpn-pretrained</a></li> <li>Reference code: <a href="https://github.com/cypw/DPNs" rel="nofollow">https://github.com/cypw/DPNs</a></li>',Fe,I,Ye,k,rl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Neural Architecture Design for GPU-Efficient Networks</code> - <a href="https://arxiv.org/abs/2006.14090" rel="nofollow">https://arxiv.org/abs/2006.14090</a></li> <li>Reference code: <a href="https://github.com/idstcv/GPU-Efficient-Networks" rel="nofollow">https://github.com/idstcv/GPU-Efficient-Networks</a></li>',Je,E,Qe,A,al='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/hrnet.py" rel="nofollow">hrnet.py</a></li> <li>Paper: <code>Deep High-Resolution Representation Learning for Visual Recognition</code> - <a href="https://arxiv.org/abs/1908.07919" rel="nofollow">https://arxiv.org/abs/1908.07919</a></li> <li>Code: <a href="https://github.com/HRNet/HRNet-Image-Classification" rel="nofollow">https://github.com/HRNet/HRNet-Image-Classification</a></li>',Ze,U,et,V,nl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v3.py" rel="nofollow">inception_v3.py</a></li> <li>Paper: <code>Rethinking the Inception Architecture for Computer Vision</code> - <a href="https://arxiv.org/abs/1512.00567" rel="nofollow">https://arxiv.org/abs/1512.00567</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',tt,D,lt,G,sl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v4.py" rel="nofollow">inception_v4.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',it,B,ot,z,ml='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_resnet_v2.py" rel="nofollow">inception_resnet_v2.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',rt,X,at,q,pl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/nasnet.py" rel="nofollow">nasnet.py</a></li> <li>Paper: <code>Learning Transferable Architectures for Scalable Image Recognition</code> - <a href="https://arxiv.org/abs/1707.07012" rel="nofollow">https://arxiv.org/abs/1707.07012</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',nt,W,st,j,hl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/pnasnet.py" rel="nofollow">pnasnet.py</a></li> <li>Paper: <code>Progressive Neural Architecture Search</code> - <a href="https://arxiv.org/abs/1712.00559" rel="nofollow">https://arxiv.org/abs/1712.00559</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',mt,K,pt,O,fl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/efficientnet.py" rel="nofollow">efficientnet.py</a></li> <li>Papers:<ul><li>EfficientNet NoisyStudent (B0-B7, L2) - <a href="https://arxiv.org/abs/1911.04252" rel="nofollow">https://arxiv.org/abs/1911.04252</a></li> <li>EfficientNet AdvProp (B0-B8) - <a href="https://arxiv.org/abs/1911.09665" rel="nofollow">https://arxiv.org/abs/1911.09665</a></li> <li>EfficientNet (B0-B7) - <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">https://arxiv.org/abs/1905.11946</a></li> <li>EfficientNet-EdgeTPU (S, M, L) - <a href="https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html" rel="nofollow">https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html</a></li> <li>MixNet - <a href="https://arxiv.org/abs/1907.09595" rel="nofollow">https://arxiv.org/abs/1907.09595</a></li> <li>MNASNet B1, A1 (Squeeze-Excite), and Small - <a href="https://arxiv.org/abs/1807.11626" rel="nofollow">https://arxiv.org/abs/1807.11626</a></li> <li>MobileNet-V2 - <a href="https://arxiv.org/abs/1801.04381" rel="nofollow">https://arxiv.org/abs/1801.04381</a></li> <li>FBNet-C - <a href="https://arxiv.org/abs/1812.03443" rel="nofollow">https://arxiv.org/abs/1812.03443</a></li> <li>Single-Path NAS - <a href="https://arxiv.org/abs/1904.02877" rel="nofollow">https://arxiv.org/abs/1904.02877</a></li></ul></li> <li>My PyTorch code: <a href="https://github.com/rwightman/gen-efficientnet-pytorch" rel="nofollow">https://github.com/rwightman/gen-efficientnet-pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet" rel="nofollow">https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet</a></li>',ht,F,ft,Y,gl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/mobilenetv3.py" rel="nofollow">mobilenetv3.py</a></li> <li>Paper: <code>Searching for MobileNetV3</code> - <a href="https://arxiv.org/abs/1905.02244" rel="nofollow">https://arxiv.org/abs/1905.02244</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet</a></li>',gt,J,ct,Q,cl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/regnet.py" rel="nofollow">regnet.py</a></li> <li>Paper: <code>Designing Network Design Spaces</code> - <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">https://arxiv.org/abs/2003.13678</a></li> <li>Reference code: <a href="https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py" rel="nofollow">https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py</a></li>',dt,Z,ut,ee,dl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Making VGG-style ConvNets Great Again</code> - <a href="https://arxiv.org/abs/2101.03697" rel="nofollow">https://arxiv.org/abs/2101.03697</a></li> <li>Reference code: <a href="https://github.com/DingXiaoH/RepVGG" rel="nofollow">https://github.com/DingXiaoH/RepVGG</a></li>',bt,te,vt,le,ul='<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnet.py" rel="nofollow">resnet.py</a></p></li> <li><p>ResNet (V1B)</p> <ul><li>Paper: <code>Deep Residual Learning for Image Recognition</code> - <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">https://arxiv.org/abs/1512.03385</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>ResNeXt</p> <ul><li>Paper: <code>Aggregated Residual Transformations for Deep Neural Networks</code> - <a href="https://arxiv.org/abs/1611.05431" rel="nofollow">https://arxiv.org/abs/1611.05431</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>‘Bag of Tricks’ / Gluon C, D, E, S ResNet variants</p> <ul><li>Paper: <code>Bag of Tricks for Image Classification with CNNs</code> - <a href="https://arxiv.org/abs/1812.01187" rel="nofollow">https://arxiv.org/abs/1812.01187</a></li> <li>Code: <a href="https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py" rel="nofollow">https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py</a></li></ul></li> <li><p>Instagram pretrained / ImageNet tuned ResNeXt101</p> <ul><li>Paper: <code>Exploring the Limits of Weakly Supervised Pretraining</code> - <a href="https://arxiv.org/abs/1805.00932" rel="nofollow">https://arxiv.org/abs/1805.00932</a></li> <li>Weights: <a href="https://pytorch.org/hub/facebookresearch_WSL-Images_resnext" rel="nofollow">https://pytorch.org/hub/facebookresearch_WSL-Images_resnext</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Semi-supervised (SSL) / Semi-weakly Supervised (SWSL) ResNet and ResNeXts</p> <ul><li>Paper: <code>Billion-scale semi-supervised learning for image classification</code> - <a href="https://arxiv.org/abs/1905.00546" rel="nofollow">https://arxiv.org/abs/1905.00546</a></li> <li>Weights: <a href="https://github.com/facebookresearch/semi-supervised-ImageNet1K-models" rel="nofollow">https://github.com/facebookresearch/semi-supervised-ImageNet1K-models</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Squeeze-and-Excitation Networks</p> <ul><li>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></li> <li>Code: Added to ResNet base, this is current version going forward, old <code>senet.py</code> is being deprecated</li></ul></li> <li><p>ECAResNet (ECA-Net)</p> <ul><li>Paper: <code>ECA-Net: Efficient Channel Attention for Deep CNN</code> - <a href="https://arxiv.org/abs/1910.03151v4" rel="nofollow">https://arxiv.org/abs/1910.03151v4</a></li> <li>Code: Added to ResNet base, ECA module contributed by @VRandme, reference <a href="https://github.com/BangguWu/ECANet" rel="nofollow">https://github.com/BangguWu/ECANet</a></li></ul></li>',wt,ie,$t,oe,bl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/res2net.py" rel="nofollow">res2net.py</a></li> <li>Paper: <code>Res2Net: A New Multi-scale Backbone Architecture</code> - <a href="https://arxiv.org/abs/1904.01169" rel="nofollow">https://arxiv.org/abs/1904.01169</a></li> <li>Code: <a href="https://github.com/gasvn/Res2Net" rel="nofollow">https://github.com/gasvn/Res2Net</a></li>',yt,re,xt,ae,vl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnest.py" rel="nofollow">resnest.py</a></li> <li>Paper: <code>ResNeSt: Split-Attention Networks</code> - <a href="https://arxiv.org/abs/2004.08955" rel="nofollow">https://arxiv.org/abs/2004.08955</a></li> <li>Code: <a href="https://github.com/zhanghang1989/ResNeSt" rel="nofollow">https://github.com/zhanghang1989/ResNeSt</a></li>',Tt,ne,Nt,se,wl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/rexnet.py" rel="nofollow">rexnet.py</a></li> <li>Paper: <code>ReXNet: Diminishing Representational Bottleneck on CNN</code> - <a href="https://arxiv.org/abs/2007.00992" rel="nofollow">https://arxiv.org/abs/2007.00992</a></li> <li>Code: <a href="https://github.com/clovaai/rexnet" rel="nofollow">https://github.com/clovaai/rexnet</a></li>',Lt,me,Ct,pe,$l='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/sknet.py" rel="nofollow">sknet.py</a></li> <li>Paper: <code>Selective-Kernel Networks</code> - <a href="https://arxiv.org/abs/1903.06586" rel="nofollow">https://arxiv.org/abs/1903.06586</a></li> <li>Code: <a href="https://github.com/implus/SKNet" rel="nofollow">https://github.com/implus/SKNet</a>, <a href="https://github.com/clovaai/assembled-cnn" rel="nofollow">https://github.com/clovaai/assembled-cnn</a></li>',Mt,he,Rt,fe,yl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/selecsls.py" rel="nofollow">selecsls.py</a></li> <li>Paper: <code>XNect: Real-time Multi-Person 3D Motion Capture with a Single RGB Camera</code> - <a href="https://arxiv.org/abs/1907.00837" rel="nofollow">https://arxiv.org/abs/1907.00837</a></li> <li>Code: <a href="https://github.com/mehtadushy/SelecSLS-Pytorch" rel="nofollow">https://github.com/mehtadushy/SelecSLS-Pytorch</a></li>',Ht,ge,_t,ce,xl=`<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/senet.py" rel="nofollow">senet.py</a>
NOTE: I am deprecating this version of the networks, the new ones are part of <code>resnet.py</code></p></li> <li><p>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></p></li> <li><p>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></p></li>`,Pt,de,St,ue,Tl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/tresnet.py" rel="nofollow">tresnet.py</a></li> <li>Paper: <code>TResNet: High Performance GPU-Dedicated Architecture</code> - <a href="https://arxiv.org/abs/2003.13630" rel="nofollow">https://arxiv.org/abs/2003.13630</a></li> <li>Code: <a href="https://github.com/mrT23/TResNet" rel="nofollow">https://github.com/mrT23/TResNet</a></li>',It,be,kt,ve,Nl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vgg.py" rel="nofollow">vgg.py</a></li> <li>Paper: <code>Very Deep Convolutional Networks For Large-Scale Image Recognition</code> - <a href="https://arxiv.org/pdf/1409.1556.pdf" rel="nofollow">https://arxiv.org/pdf/1409.1556.pdf</a></li> <li>Reference code: <a href="https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py" rel="nofollow">https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py</a></li>',Et,we,At,$e,Ll='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vision_transformer.py" rel="nofollow">vision_transformer.py</a></li> <li>Paper: <code>An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</code> - <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">https://arxiv.org/abs/2010.11929</a></li> <li>Reference code and pretrained weights: <a href="https://github.com/google-research/vision_transformer" rel="nofollow">https://github.com/google-research/vision_transformer</a></li>',Ut,ye,Vt,xe,Cl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vovnet.py" rel="nofollow">vovnet.py</a></li> <li>Paper: <code>CenterMask : Real-Time Anchor-Free Instance Segmentation</code> - <a href="https://arxiv.org/abs/1911.06667" rel="nofollow">https://arxiv.org/abs/1911.06667</a></li> <li>Reference code: <a href="https://github.com/youngwanLEE/vovnet-detectron2" rel="nofollow">https://github.com/youngwanLEE/vovnet-detectron2</a></li>',Dt,Te,Gt,Ne,Ml='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/xception.py" rel="nofollow">xception.py</a></li> <li>Paper: <code>Xception: Deep Learning with Depthwise Separable Convolutions</code> - <a href="https://arxiv.org/abs/1610.02357" rel="nofollow">https://arxiv.org/abs/1610.02357</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li>',Bt,Le,zt,Ce,Rl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/gluon_xception.py" rel="nofollow">gluon_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo" rel="nofollow">https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo</a>, <a href="https://github.com/jfzhang95/pytorch-deeplab-xception/" rel="nofollow">https://github.com/jfzhang95/pytorch-deeplab-xception/</a></li>',Xt,Me,qt,Re,Hl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/aligned_xception.py" rel="nofollow">aligned_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/deeplab" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/deeplab</a></li>',Wt,He,jt,Pe,Kt;return b=new d({props:{title:"Model Summaries",local:"model-summaries",headingTag:"h1"}}),T=new d({props:{title:"Big Transfer ResNetV2 (BiT)",local:"big-transfer-resnetv2-bit",headingTag:"h2"}}),L=new d({props:{title:"Cross-Stage Partial Networks",local:"cross-stage-partial-networks",headingTag:"h2"}}),M=new d({props:{title:"DenseNet",local:"densenet",headingTag:"h2"}}),H=new d({props:{title:"DLA",local:"dla",headingTag:"h2"}}),P=new d({props:{title:"Dual-Path Networks",local:"dual-path-networks",headingTag:"h2"}}),I=new d({props:{title:"GPU-Efficient Networks",local:"gpu-efficient-networks",headingTag:"h2"}}),E=new d({props:{title:"HRNet",local:"hrnet",headingTag:"h2"}}),U=new d({props:{title:"Inception-V3",local:"inception-v3",headingTag:"h2"}}),D=new d({props:{title:"Inception-V4",local:"inception-v4",headingTag:"h2"}}),B=new d({props:{title:"Inception-ResNet-V2",local:"inception-resnet-v2",headingTag:"h2"}}),X=new d({props:{title:"NASNet-A",local:"nasnet-a",headingTag:"h2"}}),W=new d({props:{title:"PNasNet-5",local:"pnasnet-5",headingTag:"h2"}}),K=new d({props:{title:"EfficientNet",local:"efficientnet",headingTag:"h2"}}),F=new d({props:{title:"MobileNet-V3",local:"mobilenet-v3",headingTag:"h2"}}),J=new d({props:{title:"RegNet",local:"regnet",headingTag:"h2"}}),Z=new d({props:{title:"RepVGG",local:"repvgg",headingTag:"h2"}}),te=new d({props:{title:"ResNet, ResNeXt",local:"resnet-resnext",headingTag:"h2"}}),ie=new d({props:{title:"Res2Net",local:"res2net",headingTag:"h2"}}),re=new d({props:{title:"ResNeSt",local:"resnest",headingTag:"h2"}}),ne=new d({props:{title:"ReXNet",local:"rexnet",headingTag:"h2"}}),me=new d({props:{title:"Selective-Kernel Networks",local:"selective-kernel-networks",headingTag:"h2"}}),he=new d({props:{title:"SelecSLS",local:"selecsls",headingTag:"h2"}}),ge=new d({props:{title:"Squeeze-and-Excitation Networks",local:"squeeze-and-excitation-networks",headingTag:"h2"}}),de=new d({props:{title:"TResNet",local:"tresnet",headingTag:"h2"}}),be=new d({props:{title:"VGG",local:"vgg",headingTag:"h2"}}),we=new d({props:{title:"Vision Transformer",local:"vision-transformer",headingTag:"h2"}}),ye=new d({props:{title:"VovNet V2 and V1",local:"vovnet-v2-and-v1",headingTag:"h2"}}),Te=new d({props:{title:"Xception",local:"xception",headingTag:"h2"}}),Le=new d({props:{title:"Xception (Modified Aligned, Gluon)",local:"xception-modified-aligned-gluon",headingTag:"h2"}}),Me=new d({props:{title:"Xception (Modified Aligned, TF)",local:"xception-modified-aligned-tf",headingTag:"h2"}}),He=new Dl({props:{source:"https://github.com/huggingface/pytorch-image-models/blob/main/hfdocs/source/models.mdx"}}),{c(){u=a("meta"),Se=o(),_e=a("p"),Ie=o(),m(b.$$.fragment),ke=o(),v=a("p"),v.textContent=Ft,Ee=o(),w=a("p"),w.textContent=Yt,Ae=o(),$=a("ol"),$.innerHTML=Jt,Ue=o(),y=a("p"),y.innerHTML=Qt,Ve=o(),x=a("p"),x.innerHTML=Zt,De=o(),m(T.$$.fragment),Ge=o(),N=a("ul"),N.innerHTML=el,Be=o(),m(L.$$.fragment),ze=o(),C=a("ul"),C.innerHTML=tl,Xe=o(),m(M.$$.fragment),qe=o(),R=a("ul"),R.innerHTML=ll,We=o(),m(H.$$.fragment),je=o(),_=a("ul"),_.innerHTML=il,Ke=o(),m(P.$$.fragment),Oe=o(),S=a("ul"),S.innerHTML=ol,Fe=o(),m(I.$$.fragment),Ye=o(),k=a("ul"),k.innerHTML=rl,Je=o(),m(E.$$.fragment),Qe=o(),A=a("ul"),A.innerHTML=al,Ze=o(),m(U.$$.fragment),et=o(),V=a("ul"),V.innerHTML=nl,tt=o(),m(D.$$.fragment),lt=o(),G=a("ul"),G.innerHTML=sl,it=o(),m(B.$$.fragment),ot=o(),z=a("ul"),z.innerHTML=ml,rt=o(),m(X.$$.fragment),at=o(),q=a("ul"),q.innerHTML=pl,nt=o(),m(W.$$.fragment),st=o(),j=a("ul"),j.innerHTML=hl,mt=o(),m(K.$$.fragment),pt=o(),O=a("ul"),O.innerHTML=fl,ht=o(),m(F.$$.fragment),ft=o(),Y=a("ul"),Y.innerHTML=gl,gt=o(),m(J.$$.fragment),ct=o(),Q=a("ul"),Q.innerHTML=cl,dt=o(),m(Z.$$.fragment),ut=o(),ee=a("ul"),ee.innerHTML=dl,bt=o(),m(te.$$.fragment),vt=o(),le=a("ul"),le.innerHTML=ul,wt=o(),m(ie.$$.fragment),$t=o(),oe=a("ul"),oe.innerHTML=bl,yt=o(),m(re.$$.fragment),xt=o(),ae=a("ul"),ae.innerHTML=vl,Tt=o(),m(ne.$$.fragment),Nt=o(),se=a("ul"),se.innerHTML=wl,Lt=o(),m(me.$$.fragment),Ct=o(),pe=a("ul"),pe.innerHTML=$l,Mt=o(),m(he.$$.fragment),Rt=o(),fe=a("ul"),fe.innerHTML=yl,Ht=o(),m(ge.$$.fragment),_t=o(),ce=a("ul"),ce.innerHTML=xl,Pt=o(),m(de.$$.fragment),St=o(),ue=a("ul"),ue.innerHTML=Tl,It=o(),m(be.$$.fragment),kt=o(),ve=a("ul"),ve.innerHTML=Nl,Et=o(),m(we.$$.fragment),At=o(),$e=a("ul"),$e.innerHTML=Ll,Ut=o(),m(ye.$$.fragment),Vt=o(),xe=a("ul"),xe.innerHTML=Cl,Dt=o(),m(Te.$$.fragment),Gt=o(),Ne=a("ul"),Ne.innerHTML=Ml,Bt=o(),m(Le.$$.fragment),zt=o(),Ce=a("ul"),Ce.innerHTML=Rl,Xt=o(),m(Me.$$.fragment),qt=o(),Re=a("ul"),Re.innerHTML=Hl,Wt=o(),m(He.$$.fragment),jt=o(),Pe=a("p"),this.h()},l(e){const t=Ul("svelte-u9bgzb",document.head);u=n(t,"META",{name:!0,content:!0}),t.forEach(l),Se=r(e),_e=n(e,"P",{}),_l(_e).forEach(l),Ie=r(e),p(b.$$.fragment,e),ke=r(e),v=n(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-jd0ajs"&&(v.textContent=Ft),Ee=r(e),w=n(e,"P",{"data-svelte-h":!0}),s(w)!=="svelte-1hq07ud"&&(w.textContent=Yt),Ae=r(e),$=n(e,"OL",{"data-svelte-h":!0}),s($)!=="svelte-rf0dag"&&($.innerHTML=Jt),Ue=r(e),y=n(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1d4od1u"&&(y.innerHTML=Qt),Ve=r(e),x=n(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-flvn08"&&(x.innerHTML=Zt),De=r(e),p(T.$$.fragment,e),Ge=r(e),N=n(e,"UL",{"data-svelte-h":!0}),s(N)!=="svelte-zcp459"&&(N.innerHTML=el),Be=r(e),p(L.$$.fragment,e),ze=r(e),C=n(e,"UL",{"data-svelte-h":!0}),s(C)!=="svelte-1i2dx5m"&&(C.innerHTML=tl),Xe=r(e),p(M.$$.fragment,e),qe=r(e),R=n(e,"UL",{"data-svelte-h":!0}),s(R)!=="svelte-9h8rl5"&&(R.innerHTML=ll),We=r(e),p(H.$$.fragment,e),je=r(e),_=n(e,"UL",{"data-svelte-h":!0}),s(_)!=="svelte-1l4pejd"&&(_.innerHTML=il),Ke=r(e),p(P.$$.fragment,e),Oe=r(e),S=n(e,"UL",{"data-svelte-h":!0}),s(S)!=="svelte-5h7g89"&&(S.innerHTML=ol),Fe=r(e),p(I.$$.fragment,e),Ye=r(e),k=n(e,"UL",{"data-svelte-h":!0}),s(k)!=="svelte-dx9oip"&&(k.innerHTML=rl),Je=r(e),p(E.$$.fragment,e),Qe=r(e),A=n(e,"UL",{"data-svelte-h":!0}),s(A)!=="svelte-16r6wam"&&(A.innerHTML=al),Ze=r(e),p(U.$$.fragment,e),et=r(e),V=n(e,"UL",{"data-svelte-h":!0}),s(V)!=="svelte-oef3sy"&&(V.innerHTML=nl),tt=r(e),p(D.$$.fragment,e),lt=r(e),G=n(e,"UL",{"data-svelte-h":!0}),s(G)!=="svelte-1coyojj"&&(G.innerHTML=sl),it=r(e),p(B.$$.fragment,e),ot=r(e),z=n(e,"UL",{"data-svelte-h":!0}),s(z)!=="svelte-1s2oq4t"&&(z.innerHTML=ml),rt=r(e),p(X.$$.fragment,e),at=r(e),q=n(e,"UL",{"data-svelte-h":!0}),s(q)!=="svelte-12ixuff"&&(q.innerHTML=pl),nt=r(e),p(W.$$.fragment,e),st=r(e),j=n(e,"UL",{"data-svelte-h":!0}),s(j)!=="svelte-ekz18j"&&(j.innerHTML=hl),mt=r(e),p(K.$$.fragment,e),pt=r(e),O=n(e,"UL",{"data-svelte-h":!0}),s(O)!=="svelte-1bnh0p"&&(O.innerHTML=fl),ht=r(e),p(F.$$.fragment,e),ft=r(e),Y=n(e,"UL",{"data-svelte-h":!0}),s(Y)!=="svelte-18em2uk"&&(Y.innerHTML=gl),gt=r(e),p(J.$$.fragment,e),ct=r(e),Q=n(e,"UL",{"data-svelte-h":!0}),s(Q)!=="svelte-ilhpce"&&(Q.innerHTML=cl),dt=r(e),p(Z.$$.fragment,e),ut=r(e),ee=n(e,"UL",{"data-svelte-h":!0}),s(ee)!=="svelte-1t874ox"&&(ee.innerHTML=dl),bt=r(e),p(te.$$.fragment,e),vt=r(e),le=n(e,"UL",{"data-svelte-h":!0}),s(le)!=="svelte-1mj9y57"&&(le.innerHTML=ul),wt=r(e),p(ie.$$.fragment,e),$t=r(e),oe=n(e,"UL",{"data-svelte-h":!0}),s(oe)!=="svelte-1blzz5q"&&(oe.innerHTML=bl),yt=r(e),p(re.$$.fragment,e),xt=r(e),ae=n(e,"UL",{"data-svelte-h":!0}),s(ae)!=="svelte-21m1f2"&&(ae.innerHTML=vl),Tt=r(e),p(ne.$$.fragment,e),Nt=r(e),se=n(e,"UL",{"data-svelte-h":!0}),s(se)!=="svelte-11rvs8m"&&(se.innerHTML=wl),Lt=r(e),p(me.$$.fragment,e),Ct=r(e),pe=n(e,"UL",{"data-svelte-h":!0}),s(pe)!=="svelte-1b4m80y"&&(pe.innerHTML=$l),Mt=r(e),p(he.$$.fragment,e),Rt=r(e),fe=n(e,"UL",{"data-svelte-h":!0}),s(fe)!=="svelte-1rnwmtp"&&(fe.innerHTML=yl),Ht=r(e),p(ge.$$.fragment,e),_t=r(e),ce=n(e,"UL",{"data-svelte-h":!0}),s(ce)!=="svelte-n3ldh6"&&(ce.innerHTML=xl),Pt=r(e),p(de.$$.fragment,e),St=r(e),ue=n(e,"UL",{"data-svelte-h":!0}),s(ue)!=="svelte-13se4r8"&&(ue.innerHTML=Tl),It=r(e),p(be.$$.fragment,e),kt=r(e),ve=n(e,"UL",{"data-svelte-h":!0}),s(ve)!=="svelte-1rfae98"&&(ve.innerHTML=Nl),Et=r(e),p(we.$$.fragment,e),At=r(e),$e=n(e,"UL",{"data-svelte-h":!0}),s($e)!=="svelte-65adf6"&&($e.innerHTML=Ll),Ut=r(e),p(ye.$$.fragment,e),Vt=r(e),xe=n(e,"UL",{"data-svelte-h":!0}),s(xe)!=="svelte-1tug24z"&&(xe.innerHTML=Cl),Dt=r(e),p(Te.$$.fragment,e),Gt=r(e),Ne=n(e,"UL",{"data-svelte-h":!0}),s(Ne)!=="svelte-btrshz"&&(Ne.innerHTML=Ml),Bt=r(e),p(Le.$$.fragment,e),zt=r(e),Ce=n(e,"UL",{"data-svelte-h":!0}),s(Ce)!=="svelte-k56gru"&&(Ce.innerHTML=Rl),Xt=r(e),p(Me.$$.fragment,e),qt=r(e),Re=n(e,"UL",{"data-svelte-h":!0}),s(Re)!=="svelte-ds2pan"&&(Re.innerHTML=Hl),Wt=r(e),p(He.$$.fragment,e),jt=r(e),Pe=n(e,"P",{}),_l(Pe).forEach(l),this.h()},h(){Pl(u,"name","hf:doc:metadata"),Pl(u,"content",Bl)},m(e,t){Vl(document.head,u),i(e,Se,t),i(e,_e,t),i(e,Ie,t),h(b,e,t),i(e,ke,t),i(e,v,t),i(e,Ee,t),i(e,w,t),i(e,Ae,t),i(e,$,t),i(e,Ue,t),i(e,y,t),i(e,Ve,t),i(e,x,t),i(e,De,t),h(T,e,t),i(e,Ge,t),i(e,N,t),i(e,Be,t),h(L,e,t),i(e,ze,t),i(e,C,t),i(e,Xe,t),h(M,e,t),i(e,qe,t),i(e,R,t),i(e,We,t),h(H,e,t),i(e,je,t),i(e,_,t),i(e,Ke,t),h(P,e,t),i(e,Oe,t),i(e,S,t),i(e,Fe,t),h(I,e,t),i(e,Ye,t),i(e,k,t),i(e,Je,t),h(E,e,t),i(e,Qe,t),i(e,A,t),i(e,Ze,t),h(U,e,t),i(e,et,t),i(e,V,t),i(e,tt,t),h(D,e,t),i(e,lt,t),i(e,G,t),i(e,it,t),h(B,e,t),i(e,ot,t),i(e,z,t),i(e,rt,t),h(X,e,t),i(e,at,t),i(e,q,t),i(e,nt,t),h(W,e,t),i(e,st,t),i(e,j,t),i(e,mt,t),h(K,e,t),i(e,pt,t),i(e,O,t),i(e,ht,t),h(F,e,t),i(e,ft,t),i(e,Y,t),i(e,gt,t),h(J,e,t),i(e,ct,t),i(e,Q,t),i(e,dt,t),h(Z,e,t),i(e,ut,t),i(e,ee,t),i(e,bt,t),h(te,e,t),i(e,vt,t),i(e,le,t),i(e,wt,t),h(ie,e,t),i(e,$t,t),i(e,oe,t),i(e,yt,t),h(re,e,t),i(e,xt,t),i(e,ae,t),i(e,Tt,t),h(ne,e,t),i(e,Nt,t),i(e,se,t),i(e,Lt,t),h(me,e,t),i(e,Ct,t),i(e,pe,t),i(e,Mt,t),h(he,e,t),i(e,Rt,t),i(e,fe,t),i(e,Ht,t),h(ge,e,t),i(e,_t,t),i(e,ce,t),i(e,Pt,t),h(de,e,t),i(e,St,t),i(e,ue,t),i(e,It,t),h(be,e,t),i(e,kt,t),i(e,ve,t),i(e,Et,t),h(we,e,t),i(e,At,t),i(e,$e,t),i(e,Ut,t),h(ye,e,t),i(e,Vt,t),i(e,xe,t),i(e,Dt,t),h(Te,e,t),i(e,Gt,t),i(e,Ne,t),i(e,Bt,t),h(Le,e,t),i(e,zt,t),i(e,Ce,t),i(e,Xt,t),h(Me,e,t),i(e,qt,t),i(e,Re,t),i(e,Wt,t),h(He,e,t),i(e,jt,t),i(e,Pe,t),Kt=!0},p:Il,i(e){Kt||(f(b.$$.fragment,e),f(T.$$.fragment,e),f(L.$$.fragment,e),f(M.$$.fragment,e),f(H.$$.fragment,e),f(P.$$.fragment,e),f(I.$$.fragment,e),f(E.$$.fragment,e),f(U.$$.fragment,e),f(D.$$.fragment,e),f(B.$$.fragment,e),f(X.$$.fragment,e),f(W.$$.fragment,e),f(K.$$.fragment,e),f(F.$$.fragment,e),f(J.$$.fragment,e),f(Z.$$.fragment,e),f(te.$$.fragment,e),f(ie.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(me.$$.fragment,e),f(he.$$.fragment,e),f(ge.$$.fragment,e),f(de.$$.fragment,e),f(be.$$.fragment,e),f(we.$$.fragment,e),f(ye.$$.fragment,e),f(Te.$$.fragment,e),f(Le.$$.fragment,e),f(Me.$$.fragment,e),f(He.$$.fragment,e),Kt=!0)},o(e){g(b.$$.fragment,e),g(T.$$.fragment,e),g(L.$$.fragment,e),g(M.$$.fragment,e),g(H.$$.fragment,e),g(P.$$.fragment,e),g(I.$$.fragment,e),g(E.$$.fragment,e),g(U.$$.fragment,e),g(D.$$.fragment,e),g(B.$$.fragment,e),g(X.$$.fragment,e),g(W.$$.fragment,e),g(K.$$.fragment,e),g(F.$$.fragment,e),g(J.$$.fragment,e),g(Z.$$.fragment,e),g(te.$$.fragment,e),g(ie.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(me.$$.fragment,e),g(he.$$.fragment,e),g(ge.$$.fragment,e),g(de.$$.fragment,e),g(be.$$.fragment,e),g(we.$$.fragment,e),g(ye.$$.fragment,e),g(Te.$$.fragment,e),g(Le.$$.fragment,e),g(Me.$$.fragment,e),g(He.$$.fragment,e),Kt=!1},d(e){e&&(l(Se),l(_e),l(Ie),l(ke),l(v),l(Ee),l(w),l(Ae),l($),l(Ue),l(y),l(Ve),l(x),l(De),l(Ge),l(N),l(Be),l(ze),l(C),l(Xe),l(qe),l(R),l(We),l(je),l(_),l(Ke),l(Oe),l(S),l(Fe),l(Ye),l(k),l(Je),l(Qe),l(A),l(Ze),l(et),l(V),l(tt),l(lt),l(G),l(it),l(ot),l(z),l(rt),l(at),l(q),l(nt),l(st),l(j),l(mt),l(pt),l(O),l(ht),l(ft),l(Y),l(gt),l(ct),l(Q),l(dt),l(ut),l(ee),l(bt),l(vt),l(le),l(wt),l($t),l(oe),l(yt),l(xt),l(ae),l(Tt),l(Nt),l(se),l(Lt),l(Ct),l(pe),l(Mt),l(Rt),l(fe),l(Ht),l(_t),l(ce),l(Pt),l(St),l(ue),l(It),l(kt),l(ve),l(Et),l(At),l($e),l(Ut),l(Vt),l(xe),l(Dt),l(Gt),l(Ne),l(Bt),l(zt),l(Ce),l(Xt),l(qt),l(Re),l(Wt),l(jt),l(Pe)),l(u),c(b,e),c(T,e),c(L,e),c(M,e),c(H,e),c(P,e),c(I,e),c(E,e),c(U,e),c(D,e),c(B,e),c(X,e),c(W,e),c(K,e),c(F,e),c(J,e),c(Z,e),c(te,e),c(ie,e),c(re,e),c(ne,e),c(me,e),c(he,e),c(ge,e),c(de,e),c(be,e),c(we,e),c(ye,e),c(Te,e),c(Le,e),c(Me,e),c(He,e)}}}const Bl='{"title":"Model Summaries","local":"model-summaries","sections":[{"title":"Big Transfer ResNetV2 (BiT)","local":"big-transfer-resnetv2-bit","sections":[],"depth":2},{"title":"Cross-Stage Partial Networks","local":"cross-stage-partial-networks","sections":[],"depth":2},{"title":"DenseNet","local":"densenet","sections":[],"depth":2},{"title":"DLA","local":"dla","sections":[],"depth":2},{"title":"Dual-Path Networks","local":"dual-path-networks","sections":[],"depth":2},{"title":"GPU-Efficient Networks","local":"gpu-efficient-networks","sections":[],"depth":2},{"title":"HRNet","local":"hrnet","sections":[],"depth":2},{"title":"Inception-V3","local":"inception-v3","sections":[],"depth":2},{"title":"Inception-V4","local":"inception-v4","sections":[],"depth":2},{"title":"Inception-ResNet-V2","local":"inception-resnet-v2","sections":[],"depth":2},{"title":"NASNet-A","local":"nasnet-a","sections":[],"depth":2},{"title":"PNasNet-5","local":"pnasnet-5","sections":[],"depth":2},{"title":"EfficientNet","local":"efficientnet","sections":[],"depth":2},{"title":"MobileNet-V3","local":"mobilenet-v3","sections":[],"depth":2},{"title":"RegNet","local":"regnet","sections":[],"depth":2},{"title":"RepVGG","local":"repvgg","sections":[],"depth":2},{"title":"ResNet, ResNeXt","local":"resnet-resnext","sections":[],"depth":2},{"title":"Res2Net","local":"res2net","sections":[],"depth":2},{"title":"ResNeSt","local":"resnest","sections":[],"depth":2},{"title":"ReXNet","local":"rexnet","sections":[],"depth":2},{"title":"Selective-Kernel Networks","local":"selective-kernel-networks","sections":[],"depth":2},{"title":"SelecSLS","local":"selecsls","sections":[],"depth":2},{"title":"Squeeze-and-Excitation Networks","local":"squeeze-and-excitation-networks","sections":[],"depth":2},{"title":"TResNet","local":"tresnet","sections":[],"depth":2},{"title":"VGG","local":"vgg","sections":[],"depth":2},{"title":"Vision Transformer","local":"vision-transformer","sections":[],"depth":2},{"title":"VovNet V2 and V1","local":"vovnet-v2-and-v1","sections":[],"depth":2},{"title":"Xception","local":"xception","sections":[],"depth":2},{"title":"Xception (Modified Aligned, Gluon)","local":"xception-modified-aligned-gluon","sections":[],"depth":2},{"title":"Xception (Modified Aligned, TF)","local":"xception-modified-aligned-tf","sections":[],"depth":2}],"depth":1}';function zl(Ot){return kl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jl extends El{constructor(u){super(),Al(this,u,zl,Gl,Sl,{})}}export{jl as component};
